Bug 140098 - nifd does not show OK
nifd does not show OK
Product: Fedora
Classification: Fedora
Component: howl (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-11-19 14:17 EST by Tom Mortell
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 16:48:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Mortell 2004-11-19 14:17:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
At boot time nifd is the only process taht does not show an [OK]
on my system.  I changed /etc/init.d/nifd to use daemon, and
now it does.  The core change is "daemon nifd $OTHER_NIFD_OPTS".

Version-Release number of selected component (if applicable):
initscripts 7.93.5-1

How reproducible:

Steps to Reproduce:
2.Watch the System console

Actual Results:  "Starting nifd... "
but no               [OK]

Expected Results:  "Starting nifd... "  [OK]

Additional info:

Diff -uNr ->
--- /etc/init.d/nifd    2004-10-04 01:43:51.000000000 -0700
+++ /tmp/nifd   2004-11-19 10:56:03.142747464 -0800
@@ -23,10 +23,12 @@

 start() {
        echo -n $"Starting nifd... "
-       nifd $OTHER_NIFD_OPTS
+       daemon nifd $OTHER_NIFD_OPTS
+       if [ $RETVAL -eq 0 ] ; then
+         touch /var/lock/subsys/nifd
+       fi
-       touch /var/lock/subsys/nifd
        return $RETVAL
Comment 1 Matthew Miller 2006-07-10 19:38:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 16:48:46 EST
FC3 and FC4 are currently maintained by Fedora Legacy for security fixes only. 
howl is currently obsolete and has been replaced by avahi in the still fully
supported versions of Fedora Core, FC5 and FC6.  Since this is not a security
bug, it will not be fixed.  avahi has a substantial amount of changes from howl,
so please retest this bug against a newer install of Fedora Core if possible. 
If a similar bug is present in FC5 or FC6, please reopen the bug and change the
component to avahi.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.